package com.heyu.api.data.service.impl.user;
/**
* <p>
* 用户房间表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.user.UserRoomDao;
import com.heyu.api.data.entity.user.UserRoomEntity;
import com.heyu.api.data.service.user.UserRoomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class UserRoomServiceImpl extends ServiceImpl<UserRoomDao, UserRoomEntity> implements UserRoomService {


    @Autowired
	private UserRoomDao userRoomDao;



	@Override
	public UserRoomEntity selectUserRoomById(Long id){
		return userRoomDao.selectUserRoomById(id);
	}



	@Override
	public Long insertUserRoom(UserRoomEntity userRoom){
		return userRoomDao.insertUserRoom(userRoom);
	}



	@Override
	public Long insertOrUpdateUserRoom(UserRoomEntity userRoom){
		return userRoomDao.insertOrUpdateUserRoom(userRoom);
	}



	@Override
	public int updateUserRoomById(UserRoomEntity userRoom){
		return userRoomDao.updateUserRoomById(userRoom);
	}



	@Override
	public int updateCoverUserRoomById(UserRoomEntity userRoom){
		return userRoomDao.updateCoverUserRoomById(userRoom);
	}



	@Override
	public int deleteUserRoomById(Long id){
		return userRoomDao.deleteUserRoomById(id);
	}



}
